global gHandCursor, gHandMask, gFingerCursor, gFingerMask

on clickButton action
  set spriteNum to the clickOn
  set castMember to the member of sprite spriteNum
  set Castname to the name of member castMember
  set castNum to the castLibNum of member castMember
  puppetSprite(spriteNum, 1)
  repeat while the mouseDown
    if rollOver(spriteNum) then
      set the member of sprite spriteNum to member (Castname && "dn") of castLib castNum
      updateStage()
      next repeat
    end if
    set the member of sprite spriteNum to castMember
    updateStage()
  end repeat
  set the member of sprite spriteNum to castMember
  updateStage()
  puppetSprite(spriteNum, 0)
  if rollOver(spriteNum) then
    do(action)
  end if
end

on setPuppetState channelList, type, state
  if type = #c then
    repeat with n = getAt(channelList, 1) to getAt(channelList, 2)
      puppetSprite(n, state)
    end repeat
  else
    repeat with n in channelList
      puppetSprite(n, state)
    end repeat
  end if
end

on setHandCursor cState, handList
  case cState of
    #on:
      repeat with X in handList
        set the cursor of sprite X to gHandCursor
      end repeat
    #off:
      repeat with X in handList
        set the cursor of sprite X to 0
      end repeat
  end case
end

on setFingerCursor cState, fingerList
  case cState of
    #on:
      repeat with X in fingerList
        set the cursor of sprite X to gFingerCursor
      end repeat
    #off:
      repeat with X in fingerList
        set the cursor of sprite X to 0
      end repeat
  end case
end
